<?php
include_once 'Lib/Util.inc';
include_once 'models/UserModel.inc';

function get_login($params) {
    renderTemplate(
        'views/login_form.inc',
        array(
            'title' => 'Login',
        )
    );
}

function post_login($params) {
    $username = safeParam($_POST, 'username', false);
    $password = safeParam($_POST, 'password', false);
    if (isValidUser($username, $password)) {
        $_SESSION['loggedin'] = true;
		# SAS - fake userid til we get a user system...
		$_SESSION['userid'] = 1;
        if (isset($_SESSION['redirect'])) {
            $redirect = $_SESSION['redirect'];
            redirect($redirect);
            exit();
        }
        redirectRelative('index');
    } else {
    renderTemplate(
        'views/login_form.inc',
        array(
            'title' => 'Login',
            'errors' => array('Invalid username/password'),
            'username' => $username,
            'password' => $password
        )
    );
    }
}

function get_logout($params) {
    $_SESSION = array();
    session_destroy();
    redirectRelative('index');
}
