<?php
include_once 'models/Db.inc';

function findToDoById($id) {
    global $db;
    $st = $db -> prepare('SELECT * FROM todo WHERE id = :id');
    $st -> bindParam(':id', $id);
    $st -> execute();
    return $st -> fetch(PDO::FETCH_ASSOC);
}

function findAllCurrentToDos() {
    global $db;
    $st = $db -> prepare('SELECT * FROM todo WHERE done = 0 ORDER BY id');
    $st -> execute();
    return $st -> fetchAll(PDO::FETCH_ASSOC);
}

function findAllDoneToDos() {
    global $db;
    $st = $db -> prepare('SELECT * FROM todo WHERE done != 0 ORDER BY id');
    $st -> execute();
    return $st -> fetchAll(PDO::FETCH_ASSOC);
}

function addToDo($description) {
    global $db;
    $statement = $db -> prepare('INSERT INTO todo (description, done) values (:desc, 0)');
    $statement -> bindParam(':desc', $description);
    $statement -> execute();
    return $db->lastInsertId();
}

function updateToDo($id, $description, $done) {
    global $db;
    $statement = $db -> prepare('UPDATE todo SET description = :desc, done = :done WHERE id = :id');
    $statement -> bindParam(':desc', $description);
    $statement -> bindParam(':done', $done);
    $statement -> bindParam(':id', $id);
    $statement -> execute();
}

function deleteToDo($id) {
    global $db;
    $statement = $db -> prepare('DELETE FROM todo WHERE id = :id');
    $statement -> bindParam(':id', $id);
    $statement -> execute();
}
